package com.qmth.teachcloud.common.bean.dto.mark;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.enums.mark.MarkMode;

/**
 * 评卷设置 列表
 */
public class MarkSettingDto {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;
    private String courseCode;
    private String courseName;
    private String paperNumber;
    private Boolean groupStatus;
    private MarkMode markMode;
    private String markModeDisplay;
    private String paperType;
    @JsonSerialize(using = ToStringSerializer.class)
    private Long cardId;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public Boolean getGroupStatus() {
        return groupStatus;
    }

    public void setGroupStatus(Boolean groupStatus) {
        this.groupStatus = groupStatus;
    }

    public MarkMode getMarkMode() {
        return markMode;
    }

    public void setMarkMode(MarkMode markMode) {
        this.markMode = markMode;
    }

    public String getMarkModeDisplay() {
        return markModeDisplay;
    }

    public void setMarkModeDisplay(String markModeDisplay) {
        this.markModeDisplay = markModeDisplay;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Long getCardId() {
        return cardId;
    }

    public void setCardId(Long cardId) {
        this.cardId = cardId;
    }
}
